<?php
include 'config/conexion_combo.php';
conectar();
session_start();
if (!$_SESSION){
echo '<script language = javascript>
self.location = "index.php"
</script>';
}
$usuario2 = $_SESSION['id'];
$consulta= "SELECT nombres_per, apellidos_per,id_per FROM persona WHERE id_per='".$usuario2."'"; 
$resultado= mysql_query($consulta);
$fila=mysql_fetch_array($resultado);
$nombres = $fila['nombres_per']; $apellidos = $fila['apellidos_per']; $id_usuario=$fila['id_per'];
$tusuario = $_SESSION['seguridad'];
$consulta= "SELECT tipo_tip FROM tipo_usuario WHERE id_tip='".$tusuario."'"; 
$resultado= mysql_query($consulta);
$fila=mysql_fetch_array($resultado);
$usuario = $fila['tipo_tip'];
?>
<?php
require('functions.php');
if(isset($_POST['submit'])){
	require('clases/cliente.class.php');

	$ciudad_escolaridad = htmlspecialchars(trim($_POST['ciudad_escolaridad']));
	$cmbinstitucion = htmlspecialchars(trim($_POST['cmbinstitucion']));
	$grados_cursados = htmlspecialchars(trim($_POST['grados_cursados']));
	$anos_cursados = htmlspecialchars(trim($_POST['anos_cursados']));
	$causa_cambio = htmlspecialchars(trim($_POST['causa_cambio']));
    $genero_per = htmlspecialchars(trim($_POST['genero_per']));
	//$usuario_per = htmlspecialchars(trim($_POST['usuario_per']));
	$contrasena_per = htmlspecialchars(trim($_POST['contrasena_per']));
	$tipo_usu = htmlspecialchars(trim($_POST['tipo_usu']));
	
	$objCliente=new Cliente;
	if ($objCliente->insertar_escolaridad(array($causa_cambio,$grados_cursados,$anos_cursados,$cmbinstitucion,$ciudad_escolaridad,$id_usuario)) == true ){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
}else{
//echo "<head><link href='css/estilo.css' rel='stylesheet' type='text/css' /></head>";
?>

	      <script language="javascript">
		$(document).ready(function(){
   			$("#cmbciudad").change(function () {
   				$("#cmbciudad option:selected").each(function () {
					elegido=$(this).val();
					$.post("estados.php", { elegido: elegido }, function(data){
					$("#cmbinstitucion").html(data);
					
					});			
        		});
   			})
			
			// Este puede ponerse en comentario si no se dispone de un 3er combo:
			
			});
			</script>
			
<script type='text/javascript' src="letras.js"></script> 
<script language="JavaScript">
function check_cedula( form )
{
 var cedula = form.cedula_per.value;
 array = cedula.split( "" );
 num = array.length;
 if ( num == 10 )
 {
 total = 0;
 digito = (array[9]*1);
 for( i=0; i < (num-1); i++ )
 {
   mult = 0;
   if ( ( i%2 ) != 0 ) 
       { total = total + ( array[i] * 1 ); 
       }
  else 
       { mult = array[i] * 2;
        if ( mult > 9 )
            total = total + ( mult - 9 ); 
        else 
            total = total + mult; 
        }
}
    decena=total/10;
    decena=Math.floor(decena);
    decena = ( decena + 1 ) * 10;
    final = ( decena - total );
    if ( ( final == 10 && digito == 0 ) || ( final == digito ) ) 
           { //alert( "La cedula es correcta" ); return true; 
           }
    else 
           { alert( "El numero de cedula es incorrecto. Verifique "); 
		     form.cedula_per.value = "";
			 frmClienteNuevo.cedula_per.focus();
             return false; 
           } 
 }
 else 
 { alert("La cedula no pue detener menos de 10 digitos y tampoco mas de 10 digitos"); 
 fcalen.txtcedula.focus();
 return false; 
 } 
}
</script>
</p><br />
<form id="frmClienteNuevo" name="frmClienteNuevo" method="post" action="nuevo_escolaridad3.php" onsubmit="GrabarDatos33(); return false">
  <p>
    <label><span class="obl">*</span>Ciudad:<br />
    </label>
    <label for="cmbciudad"></label>
    <label for="ciudad"></label>
    <label for="ciudad_escolaridad"></label>
    <input class="inputxt2" type="text" name="ciudad_escolaridad" id="ciudad_escolaridad" />
  </p>
  <p>
    <label><span class="obl">*</span>Institucion:<br />
    </label>
    <label for="cmbinstitucion"></label>
    <input type="text" class="inputxt2" name="cmbinstitucion" id="cmbinstitucion" class="inputxt2" />
  </p>
  <p><span class="obl">*</span>Grados Cursados:</p>
  <p>
    <input type="text" name="grados_cursados" id="grados_cursados" class="inputxt2" title="INGRESE LOS GRADOS CURSADOS" placeholder="" required/>
  </p>
  <p>
    <label><span class="obl">*</span>Años:<br />
    <input name="anos_cursados" id="anos_cursados" class="inputxt2" title="INGRESE LOS AÑOS CURSADOS" placeholder="" required/>
    </label>
  <p><span class="obl">*</span>Causa de Cambio:<p>
    <label for="causa_cambio"></label>
  <textarea name="causa_cambio" id="causa_cambio" cols="45" rows="5" class="inputxtarea" placeholder="" required></textarea>    
  <p><input type="hidden" name="genero_per" id="genero_per" value="1" />
    <input type="hidden" name="tipo_usu" id="tipo_usu" value="4" />
  </p>
  <p>
  <label><br />
    
    </label>
  </p>
    </p>
    <p>
      <label for="usuario_per"></label>
    </p>
    
  <p>
    <input type="submit" name="submit" id="button" value="Guardar" class="btnform"/>
    <label></label>
    <input type="button"  name="cancelar" id="cancelar" value="Cancelar" onclick="Cancelar()" class="btnform"/>
    <label class="msjobl">Los campos marcados con <span class="obl">*</span> son obligatorios</label>
    </p>
</form>
<?php
}

?>